summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-07-24 13:17:07 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-07-24 13:17:07 +0200
commit1f2b3a3a3d348dc887b3239683ff45637f119c6c (patch)
tree6cb78bcfd77ee1e72075cb7089b93c354ff1233d
parent7c6fc5731dd8e1980806d8c06b2e070c1874c6a7 (diff)
added aivpn
-rwxr-xr-xbin/extra/aivpn39
1 files changed, 39 insertions, 0 deletions
diff --git a/bin/extra/aivpn b/bin/extra/aivpn
new file mode 100755
index 0000000..c67aa2c
--- /dev/null
+++ b/bin/extra/aivpn
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+die ()
+{
+ echo "$@" >&2
+}
+
+if [ "$1" = "-k" ]
+then
+ pgrep -f -- "ssh.*-L.*mc-wd" |
+ xargs kill
+ exit
+fi
+
+# For when script calls itself
+if [ -n "$PASSWORD" ]
+then
+ pass show "$PASSWORD" &&
+ exit
+ exit 1
+fi
+
+keyadd ehb/ai
+
+export SSH_ASKPASS="$0"
+export SSH_ASKPASS_REQUIRE="prefer"
+export PASSWORD=aluc
+
+die "I: Activating vpn"
+ssh mc-wd rasdial "vpn.student.ehb.be"
+ssh -f -N \
+ -L 2222:10.2.160.41:22 \
+ mc-wd
+
+ssh -t \
+ -L 8188:localhost:8188 \
+ mc-wd \
+ ssh -N -L 8188:localhost:8188 luca@10.2.160.41
+die "[8188], [2222]"